Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 2513)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 2514)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -228,5 +228,5 @@
 
        CASE ( 15, 16, 17, 18, 19, 50:59, 81:84, 104:105, 107, 109, 117 )
-	      
+      
           IF ( myid /= 0 )  THEN
              WRITE( message_string, * ) 'opening file-id ',file_id,            &
@@ -244,5 +244,5 @@
                 CALL message( 'check_open', 'PA0167', 2, 2, -1, 6, 1 )
              ENDIF
-	     
+     
           ENDIF
 
Index: /palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/init_dvrp.f90	(revision 2513)
+++ /palm/trunk/SOURCE/init_dvrp.f90	(revision 2514)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -282,6 +282,6 @@
                            (clip_dvrp_r-clip_dvrp_l) * superelevation_x,       &
                            (clip_dvrp_n-clip_dvrp_s) * superelevation_y,       &
-	                        ( zu(nz_do3d) - zu(nzb) ) * superelevation          &
-	                               )
+                           ( zu(nz_do3d) - zu(nzb) ) * superelevation          &
+                                  )
 
 !
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 2513)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 2514)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -437,5 +437,5 @@
                        'requirements given by the number of PEs &used',       &
                        '& please use nx = ', nx - ( pdims(1) - ( nnx*pdims(1) &
-	                           - ( nx + 1 ) ) ), ' instead of nx =', nx
+                                      - ( nx + 1 ) ) ), ' instead of nx =', nx
           CALL message( 'init_pegrid', 'PA0226', 1, 2, 0, 6, 0 )
        ENDIF
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2513)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2514)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -2729,5 +2729,5 @@
 !--          Normalize so that the sum = 1. Only relevant when the root distribution was
 !--          set to zero due to pavement at some layers.
-	     IF ( SUM( surf_lsm_h%root_fr(:,m) ) > 0.0_wp )  THEN
+             IF ( SUM( surf_lsm_h%root_fr(:,m) ) > 0.0_wp )  THEN
                 DO k = nzb_soil, nzt_soil
                    surf_lsm_h%root_fr(k,m) = surf_lsm_h%root_fr(k,m) / SUM( surf_lsm_h%root_fr(:,m) )
Index: /palm/trunk/SOURCE/pmc_handle_communicator_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 2513)
+++ /palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 2514)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -544,5 +544,5 @@
        IF ( bad_llcorner /= 0)  THEN
           WRITE ( message_string, *)  'at least one dimension of lower ',       &
-		                      'left corner of one domain is not 0. ',   &
+                                      'left corner of one domain is not 0. ',   &
                                       'All lower left corners were set to (0, 0)'
           CALL message( 'read_coupling_layout', 'PA0427', 0, 0, 0, 6, 0 )
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2513)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2514)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -5541,5 +5541,5 @@
         DO
             DO while ( svf_lt(svfl(i),x) )
-	        i=i+1
+               i=i+1
             ENDDO
             DO while ( svf_lt(x,svfl(j)) )
Index: /palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 2513)
+++ /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 2514)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Remove tabs
 ! 
 ! Former revisions:
@@ -88,5 +88,5 @@
 
     LOGICAL ::  vnest_init = .FALSE., vnested = .FALSE., &
-	    vnest_twi = .FALSE., vnest_couple_rk3 = .FALSE.
+                vnest_twi = .FALSE., vnest_couple_rk3 = .FALSE.
 
     ! PARIN
@@ -97,7 +97,7 @@
 !-- Public functions
     PUBLIC vnest_init_fine, vnest_boundary_conds, vnest_anterpolate,          &
-	   vnest_boundary_conds_khkm, vnest_anterpolate_e,                    &
-	   vnest_init_pegrid_rank, vnest_init_pegrid_domain, vnest_init_grid, &
-	   vnest_timestep_sync, vnest_deallocate
+           vnest_boundary_conds_khkm, vnest_anterpolate_e,                    &
+           vnest_init_pegrid_rank, vnest_init_pegrid_domain, vnest_init_grid, &
+           vnest_timestep_sync, vnest_deallocate
 
 !-- Public constants and variables
@@ -115,5 +115,5 @@
             nxc, nxf, nyc, nyf, nzc, nzf,                                     &
             ngp_c, ngp_f, target_idex, n_cell_c, n_cell_f,                    &
-	    offset, map_coord, TYPE_VNEST_BC, TYPE_VNEST_ANTER                
+            offset, map_coord, TYPE_VNEST_BC, TYPE_VNEST_ANTER                
 
     INTERFACE vnest_anterpolate
@@ -281,5 +281,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        101, 	comm_inter, ierr)
+                        101, comm_inter, ierr)
    
                     CALL MPI_SEND( v( bdims(3,1):bdims(3,2)+2, &
@@ -287,5 +287,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        102, 	comm_inter, ierr)
+                        102, comm_inter, ierr)
    
                     CALL MPI_SEND( w( bdims(3,1):bdims(3,2)+2, &
@@ -293,5 +293,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        103, 	comm_inter, ierr)
+                        103, comm_inter, ierr)
    
                     CALL MPI_SEND( pt(bdims(3,1):bdims(3,2)+2, &
@@ -299,5 +299,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        105, 	comm_inter, ierr)
+                        105, comm_inter, ierr)
    
             IF ( humidity )  THEN
@@ -306,5 +306,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        116, 	comm_inter, ierr)
+                        116, comm_inter, ierr)
             ENDIF
  
@@ -313,5 +313,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        104, 	comm_inter, ierr)
+                        104, comm_inter, ierr)
    
                    CALL MPI_SEND(kh( bdims(3,1):bdims(3,2)+2, &
@@ -319,5 +319,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        106, 	comm_inter, ierr)
+                        106, comm_inter, ierr)
    
                     CALL MPI_SEND(km( bdims(3,1):bdims(3,2)+2, &
@@ -325,5 +325,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,  &
-                        107, 	comm_inter, ierr)
+                        107, comm_inter, ierr)
    
 !-- Send Surface fluxes
@@ -340,30 +340,30 @@
 !MERGE-WIP                      bdims(1,1)-1:bdims(1,2)+1),&
 !MERGE-WIP                      n_cell_c, MPI_REAL, target_idex,  &
-!MERGE-WIP                      109, 	comm_inter, ierr   )
+!MERGE-WIP                      109, comm_inter, ierr   )
 !MERGE-WIP 
 !MERGE-WIP                  CALL MPI_SEND(surf_def_h(0)%usws( bdims(2,1)-1:bdims(2,2)+1, &
 !MERGE-WIP                      bdims(1,1)-1:bdims(1,2)+1),&
 !MERGE-WIP                      n_cell_c, MPI_REAL, target_idex,  &
-!MERGE-WIP                      110, 	comm_inter, ierr   )
+!MERGE-WIP                      110, comm_inter, ierr   )
 !MERGE-WIP 
 !MERGE-WIP                  CALL MPI_SEND(surf_def_h(0)%vsws( bdims(2,1)-1:bdims(2,2)+1, &
 !MERGE-WIP                      bdims(1,1)-1:bdims(1,2)+1),&
 !MERGE-WIP                      n_cell_c, MPI_REAL, target_idex,  &
-!MERGE-WIP                      111, 	comm_inter, ierr   )
+!MERGE-WIP                      111, comm_inter, ierr   )
 !MERGE-WIP 
 !MERGE                   CALL MPI_SEND(ts  ( bdims(2,1)-1:bdims(2,2)+1, &
 !MERGE                       bdims(1,1)-1:bdims(1,2)+1),&
 !MERGE                       n_cell_c, MPI_REAL, target_idex,  &
-!MERGE                       112, 	comm_inter, ierr   )
+!MERGE                       112, comm_inter, ierr   )
 !MERGE  
 !MERGE                   CALL MPI_SEND(us  ( bdims(2,1)-1:bdims(2,2)+1, &
 !MERGE                       bdims(1,1)-1:bdims(1,2)+1),&
 !MERGE                       n_cell_c, MPI_REAL, target_idex,  &
-!MERGE                       113, 	comm_inter, ierr   )
+!MERGE                       113, comm_inter, ierr   )
 !MERGE  
 !MERGE                   CALL MPI_SEND(z0  ( bdims(2,1)-1:bdims(2,2)+1, &
 !MERGE                       bdims(1,1)-1:bdims(1,2)+1),&
 !MERGE                       n_cell_c, MPI_REAL, target_idex,  &
-!MERGE                       114, 	comm_inter, ierr   )
+!MERGE                       114, comm_inter, ierr   )
             ENDIF
    
@@ -449,5 +449,5 @@
             NULLIFY   (   interpol3d   )
    
-!-- Recv Surface Fluxes	    
+!-- Recv Surface Fluxes    
             IF ( use_surface_fluxes )  THEN
             n_cell_c = (bdims_rem(1,2)-bdims_rem(1,1)+3) * &
@@ -531,6 +531,6 @@
            w(nzb,:,:) = 0.0_wp
 
-	   !
-           !-- Temperature boundary conditions at the bottom boundary
+!
+!-- Temperature boundary conditions at the bottom boundary
            IF ( ibc_pt_b /= 0 ) THEN
                pt(nzb,:,:) = pt(nzb+1,:,:)
@@ -1687,5 +1687,5 @@
     
             IF ( humidity )  THEN
-    		CALL MPI_RECV( work3d,n_cell_c, MPI_REAL, target_idex, 209, &
+               CALL MPI_RECV( work3d,n_cell_c, MPI_REAL, target_idex, 209, &
                         comm_inter,status, ierr )
                 interpol3d => q
@@ -2206,5 +2206,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,    &
-                        207, 	comm_inter, ierr)
+                        207, comm_inter, ierr)
     
                     CALL MPI_SEND(km(bdims(3,1)  :bdims(3,2)  , &
@@ -2212,5 +2212,5 @@
                         bdims(1,1)-1:bdims(1,2)+1),&
                         n_cell_c, MPI_REAL, target_idex,    &
-                        208, 	comm_inter, ierr)
+                        208, comm_inter, ierr)
     
     
@@ -2688,5 +2688,5 @@
                         comm_inter,status, ierr )
    
-   	        IF ( humidity ) THEN
+                 IF ( humidity ) THEN
                     CALL MPI_RECV(q(            &
                         bdims(3,1)+1:bdims(3,2), &
@@ -2695,5 +2695,5 @@
                         n_cell_c, MPI_REAL, target_idex, 106, &
                         comm_inter,status, ierr )
-   		ENDIF
+                 ENDIF
    
                     CALL MPI_RECV( w(              &
@@ -2781,8 +2781,8 @@
    
             anterpol3d => u
-   	   
+      
             CALL anterpolate_to_crse_u ( 101 )
             CALL MPI_SEND( work3d, 1, TYPE_VNEST_ANTER, target_idex,  &
-                101, 	comm_inter, ierr)
+                101, comm_inter, ierr)
    
             anterpol3d => v
@@ -2790,5 +2790,5 @@
             CALL anterpolate_to_crse_v ( 102 )
             CALL MPI_SEND( work3d, 1, TYPE_VNEST_ANTER, target_idex,  &
-                102, 	comm_inter, ierr)
+                102, comm_inter, ierr)
    
             anterpol3d => pt
@@ -2796,5 +2796,5 @@
             CALL anterpolate_to_crse_s ( 105 )
             CALL MPI_SEND( work3d, 1, TYPE_VNEST_ANTER, target_idex,  &
-                105, 	comm_inter, ierr)
+                105, comm_inter, ierr)
    
    
@@ -2805,5 +2805,5 @@
             CALL anterpolate_to_crse_s ( 106 )
             CALL MPI_SEND( work3d, 1, TYPE_VNEST_ANTER, target_idex,  &
-                106, 	comm_inter, ierr)
+                106, comm_inter, ierr)
           ENDIF
    
@@ -2816,5 +2816,5 @@
             CALL anterpolate_to_crse_w ( 103 )
             CALL MPI_SEND( work3d, 1, TYPE_VNEST_ANTER, target_idex,  &
-                103, 	comm_inter, ierr)
+                103, comm_inter, ierr)
    
             NULLIFY   (   anterpol3d                )
@@ -3226,5 +3226,5 @@
 
             CALL MPI_SEND( work3d, 1, TYPE_VNEST_ANTER, target_idex,  &
-                           104, 	comm_inter, ierr)
+                           104, comm_inter, ierr)
 
             NULLIFY   (   anterpol3d                )
@@ -3349,5 +3349,5 @@
            
        USE indices,                                                               &
-	   ONLY: nbgp, nx, ny, nz
+           ONLY: nbgp, nx, ny, nz
 
        USE kinds
@@ -3431,6 +3431,6 @@
            
        USE indices,                                                               &
-	   ONLY: nbgp, nx, ny, nz, nxl, nxr, nys, nyn, nzb, nzt, &
-	         nxlg, nxrg, nysg, nyng
+           ONLY: nbgp, nx, ny, nz, nxl, nxr, nys, nyn, nzb, nzt, &
+                 nxlg, nxrg, nysg, nyng
 
        USE kinds
@@ -3583,6 +3583,6 @@
             offset(2) = ( pdims_partner(2) / pdims(2) ) * pcoord(2)
       
-	    tempx =  ( pdims_partner(1) / pdims(1) ) - 1
-	    tempy =  ( pdims_partner(2) / pdims(2) ) - 1
+            tempx =  ( pdims_partner(1) / pdims(1) ) - 1
+            tempy =  ( pdims_partner(2) / pdims(2) ) - 1
             ALLOCATE( c2f_dims_cg (0:5,offset(1):tempx+offset(1),offset(2):tempy+offset(2) ) )
             ALLOCATE( f2c_dims_cg (0:5,offset(1):tempx+offset(1),offset(2):tempy+offset(2) ) )
@@ -3616,8 +3616,8 @@
    
                    CALL MPI_SEND( c2f_dims_cg (:,map_coord(1),map_coord(2)), 6, &
-			           MPI_INTEGER, target_idex, 100, comm_inter, ierr )
+                      MPI_INTEGER, target_idex, 100, comm_inter, ierr )
       
                    CALL MPI_SEND( f2c_dims_cg (:,map_coord(1),map_coord(2)), 6, &
-			           MPI_INTEGER, target_idex, 101, comm_inter, ierr )
+                      MPI_INTEGER, target_idex, 101, comm_inter, ierr )
       
                 end do
@@ -3637,7 +3637,7 @@
             CALL MPI_TYPE_VECTOR ( MTV_RY, MTV_RZ, MTV_Z, MPI_REAL, TYPE_INT_YZ, IERR)
             CALL MPI_TYPE_HVECTOR( MTV_RX, 1, MTV_Z*MTV_Y*SIZEOFREAL, &
-	                                      TYPE_INT_YZ, TYPE_VNEST_BC, IERR)
+                                              TYPE_INT_YZ, TYPE_VNEST_BC, IERR)
             CALL MPI_TYPE_FREE(TYPE_INT_YZ, IERR)
-            CALL MPI_TYPE_COMMIT(TYPE_VNEST_BC, IERR)			   
+            CALL MPI_TYPE_COMMIT(TYPE_VNEST_BC, IERR)   
 
 
@@ -3700,5 +3700,5 @@
           USE pegrid
 
-	  IMPLICIT NONE
+          IMPLICIT NONE
       
           !-- Allocate and Exchange zuc and zuf, zwc and zwf
@@ -3768,8 +3768,8 @@
           USE pegrid
 
-	  IMPLICIT NONE
-
-
-	  IF (myid==0) PRINT*, '*** vnest: check parameters not implemented yet ***'
+          IMPLICIT NONE
+
+
+          IF (myid==0) PRINT*, '*** vnest: check parameters not implemented yet ***'
       
 
@@ -3791,6 +3791,6 @@
 
          IF ( coupling_mode == 'vnested_crse')  THEN
-         	dtc = dt_3d
-         	if (myid == 0) then
+            dtc = dt_3d
+               if (myid == 0) then
                    CALL MPI_SEND( dt_3d, 1, MPI_REAL, target_id,                     &
                         31, comm_inter, ierr )
@@ -3798,9 +3798,9 @@
                         target_id, 32, comm_inter, status, ierr )
 
-         	endif
-         	CALL MPI_BCAST( dtf, 1,   MPI_REAL,    0, comm2d, ierr ) 
+                endif
+                CALL MPI_BCAST( dtf, 1,   MPI_REAL,    0, comm2d, ierr ) 
          ELSE
-         	dtf = dt_3d
-         	if (myid == 0) then
+                dtf = dt_3d
+                if (myid == 0) then
                    CALL MPI_RECV( dtc, 1, MPI_REAL,                                  &
                         target_id, 31, comm_inter, status, ierr )
@@ -3808,6 +3808,6 @@
                         32, comm_inter, ierr )
 
-         	endif
-         	CALL MPI_BCAST( dtc, 1,   MPI_REAL,    0, comm2d, ierr ) 
+                endif
+                CALL MPI_BCAST( dtc, 1,   MPI_REAL,    0, comm2d, ierr ) 
          
          ENDIF