Index: /palm/trunk/SCRIPTS/.palm.config.idefix
===================================================================
--- /palm/trunk/SCRIPTS/.palm.config.idefix	(revision 2523)
+++ /palm/trunk/SCRIPTS/.palm.config.idefix	(revision 2523)
@@ -0,0 +1,76 @@
+#$Id$
+#This configuration file is for running jobs locally (interactive or batch mode)
+#on host idefix.
+#-------------------------------------------------------------------------------
+#column 1          column 2
+#name of variable  value of variable (~ must not be used)
+#-------------------------------------------------------------------------------
+%base_data          ~/palm/current_version/JOBS
+%base_directory     $HOME/palm/current_version
+%fast_io_catalog    /work/<replace_by_your_IDEFIX_username>
+%local_jobcatalog   $HOME/job_queue
+%output_path        /work/<replace_by_your_IDEFIX_username>/JOBS/$fname
+%remote_jobcatalog  $HOME/job_queue
+%source_path        $HOME/palm/current_version/trunk/SOURCE
+%user_source_path   $base_directory/JOBS/$fname/USER_CODE
+#
+%local_ip            130.75.105.239
+%local_username      <replace_by_your_IDEFIX_username>
+%defaultqueue        workq
+%submit_command      /opt/pbspro/default/bin/qsub
+#
+%compiler_name       mpif90
+%compiler_name_ser   ifort
+%cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__fftw -D__intel_compiler
+%make_options        -j 4
+%compiler_options    -fpe0 -O3 -cpp -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -diag-disable 8290,8291 -I /opt/netcdf4_hdf5parallel/4411c_443f/intel/include -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib -L/opt/hdf5-parallel/1.10.0-patch1/intel/lib -lnetcdf -lnetcdff -I /opt/fftw/3.3.6-pl1/mvapich2-intel/include -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib -lfftw3
+%linker_options      -fpe0 -O3 -cpp -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -diag-disable 8290,829 -I /opt/netcdf4_hdf5parallel/4411c_443f/intel/include -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib -L/opt/hdf5-parallel/1.10.0-patch1/intel/lib -lnetcdf -lnetcdff -I /opt/fftw/3.3.6-pl1/mvapich2-intel/include -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib -lfftw3
+%hostfile            auto
+%module_commands     module load intel-compiler/2017.1.132 mvapich2/2.2/intel fftw/3.3.6-pl1/mvapich2-intel hdf5-parallel/1.10.0-patch1/intel netcdf4_hdf5parallel/4411c_443f/intel
+#
+%execute_command     mpirun  -machinefile hostfile  -n {{MPI_TASKS}} palm
+#
+#
+# BATCH-directives to be used for batch jobs. If $-characters are required, hide them with \\\
+BD:#!/bin/bash
+BD:#PBS -N{{JOB_ID}}
+BD:#PBS -l walltime={{CPU_HOURS}}:{{CPU_MINUTES}}:{{CPU_SECONDS}}
+BD:#PBS -l ncpus={{CORES}}
+BD:#PBS -o{{JOBFILE}}
+BD:#PBS -j oe
+BD:#PBS -q{{QUEUE}}
+#
+# BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
+BDT:#!/bin/bash
+BDT:#PBS -N job_protocol_transfer
+BDT:#PBS -l walltime=00:30:00
+BDT:#PBS -l ncpus=1
+BDT:#PBS -o{{JOB_TRANSFER_PROTOCOL_FILE}}
+BDT:#PBS -j oe
+BDT:#PBS -q workq
+#
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+IC:export MV2_ENABLE_AFFINITY=0
+IC:export MV2_SHOW_CPU_BINDING=1
+IC:export MV2_CPU_BINDING_POLICY=scatter
+IC:ulimit -s unlimited
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: /palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- /palm/trunk/UTIL/combine_plot_fields.f90	(revision 2522)
+++ /palm/trunk/UTIL/combine_plot_fields.f90	(revision 2523)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Increased LEN for CHARACTER variable var_name, equal to the value in PALM
+! 
+! 2512 2017-10-04 08:26:59Z raasch
 ! PALM output does not contain ghost layer data any more
 ! avs- and iso2d-related parts removed, handling of compressed data removed
@@ -104,5 +107,5 @@
     CHARACTER (LEN=2)    ::  modus, model_string
     CHARACTER (LEN=6)    ::  id_string
-    CHARACTER (LEN=20)   ::  dimname, var_name
+    CHARACTER (LEN=30)   ::  dimname, var_name
     CHARACTER (LEN=40)   ::  filename
 