Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 2575)
+++ palm/trunk/SOURCE/Makefile	(revision 2576)
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# virtual_flight_mod.o, synthetic_turbulence_generator_mod.o and
+# wind_turbine_model_mod.o were added to read_var_list.o
+# 
+# 2563 2017-10-19 15:36:10Z Giersch
 # wind_turbine_model_mod.o and synthetic_turbulence_generator_mod.o were added to
 # write_var_list.o and virtual_flight_mod.o was deleted from read_var_list.o  
@@ -630,5 +634,6 @@
    spectra_mod.o surface_mod.o urban_surface_mod.o
 read_var_list.o: modules.o mod_kinds.o model_1d_mod.o netcdf_interface_mod.o plant_canopy_model_mod.o \
-   spectra_mod.o microphysics_mod.o urban_surface_mod.o vertical_nesting_mod.o
+   spectra_mod.o microphysics_mod.o urban_surface_mod.o vertical_nesting_mod.o wind_turbine_model_mod.o \
+   virtual_flight_mod.o synthetic_turbulence_generator_mod.o
 run_control.o: modules.o cpulog_mod.o mod_kinds.o
 set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 2575)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 2576)
@@ -25,4 +25,11 @@
 ! -----------------
 ! $Id$
+! *** end *** marks the end of the standard parameter list of restart files
+! like it was before revision 2563. To skip also the variables of the modules  
+! wind_turbine_model_mod, flight_mod and synthetic_turbulence_generator_mod 
+! three new functions has to be defined which are called in skip_var_list.
+! Adapted binary version number 
+! 
+! 2575 2017-10-24 09:57:58Z maronga
 ! Renamed phi -> latitude, added longitude
 ! 
@@ -276,5 +283,5 @@
 !-- Make version number check first
     READ ( 13 )  version_on_file
-    binary_version = '4.3'
+    binary_version = '4.4'
     IF ( TRIM( version_on_file ) /= TRIM( binary_version ) )  THEN
        WRITE( message_string, * ) 'version mismatch concerning control ', &
@@ -353,5 +360,5 @@
 !--          increased. The same changes must also be done in write_var_list.
     READ ( 13 )  variable_chr
-    DO  WHILE ( TRIM( variable_chr ) /= '*** end default ***' )
+    DO  WHILE ( TRIM( variable_chr ) /= '*** end ***' )
 
        SELECT CASE ( TRIM( variable_chr ) )
@@ -987,5 +994,5 @@
     READ ( 13 )  variable_chr
 
-    DO  WHILE ( TRIM( variable_chr ) /= '*** end default ***' )
+    DO  WHILE ( TRIM( variable_chr ) /= '*** end ***' )
 
        SELECT CASE ( TRIM( variable_chr ) )
@@ -1075,4 +1082,16 @@
  SUBROUTINE skip_var_list
 
+    USE control_parameters,                                                    &
+        ONLY: wind_turbine, virtual_flight, synthetic_turbulence_generator
+
+    USE wind_turbine_model_mod,                                                &
+        ONLY: wtm_skip_var_list
+
+    USE flight_mod,                                                            &
+        ONLY: flight_skip_var_list
+
+    USE synthetic_turbulence_generator_mod,                                    &
+        ONLY: stg_skip_var_list
+
 
     IMPLICIT NONE
@@ -1095,4 +1114,19 @@
     ENDDO
 
+!
+!-- In case of virtual flights, skip also variables related to
+!-- this module.
+    IF ( wind_turbine )  CALL wtm_skip_var_list
+
+!
+!-- In case of virtual flights, skip also variables related to
+!-- this module.
+    IF ( virtual_flight )  CALL flight_skip_var_list
+
+!
+!-- In case of virtual flights, skip also variables related to
+!-- this module.
+    IF ( synthetic_turbulence_generator )  CALL stg_skip_var_list
+
 
  END SUBROUTINE skip_var_list
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 2575)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 2576)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Definition of a new function called stg_skip_var_list to skip module 
+! parameters during reading restart data
+! 
+! 2563 2017-10-19 15:36:10Z Giersch
 ! stg_read_restart_data is called in stg_parin in the case of a restart run
 ! 
@@ -179,4 +183,10 @@
 
 !
+!-- Skipping of parameters for restart runs
+    INTERFACE stg_skip_var_list 
+       MODULE PROCEDURE stg_skip_var_list
+    END INTERFACE stg_skip_var_list
+
+!
 !-- Reading of parameters for restart runs
     INTERFACE stg_read_restart_data
@@ -197,5 +207,5 @@
 !-- Public interfaces
     PUBLIC  stg_check_parameters, stg_header, stg_init, stg_main, stg_parin,   &
-            stg_write_restart_data
+            stg_write_restart_data, stg_skip_var_list
 
 !
@@ -670,4 +680,28 @@
 
  END SUBROUTINE stg_parin
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Skipping the stg variables from restart-file (binary format).
+!------------------------------------------------------------------------------!
+   SUBROUTINE stg_skip_var_list 
+        
+      IMPLICIT NONE
+            
+      CHARACTER (LEN=1)  ::  cdum
+      CHARACTER (LEN=30) ::  variable_chr
+            
+      READ ( 13 )  variable_chr
+
+      DO  WHILE ( TRIM( variable_chr ) /= '*** end stg module ***' )
+
+         READ ( 13 )  cdum
+         READ ( 13 )  variable_chr
+
+      ENDDO   
+            
+   END SUBROUTINE stg_skip_var_list 
 
 
Index: palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 2575)
+++ palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 2576)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Definition of a new function called flight_skip_var_list to skip module 
+! parameters during reading restart data
+! 
+! 2563 2017-10-19 15:36:10Z Giersch
 ! flight_read_restart_data is called in flight_parin in the case of a restart 
 ! run. flight_skip_var_list is not necessary anymore due to marker changes in
@@ -119,4 +123,8 @@
        MODULE PROCEDURE flight_measurement
     END INTERFACE flight_measurement
+
+    INTERFACE flight_skip_var_list 
+       MODULE PROCEDURE flight_skip_var_list
+    END INTERFACE flight_skip_var_list
     
     INTERFACE flight_read_restart_data 
@@ -134,5 +142,5 @@
 !-- Public interfaces
     PUBLIC flight_init, flight_header, flight_parin, flight_measurement,       &
-           flight_write_restart_data                    
+           flight_write_restart_data, flight_skip_var_list                    
 !
 !-- Public variables
@@ -860,4 +868,28 @@
 
     END SUBROUTINE flight_check_parameters
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Skipping the flight-module variables from restart-file (binary format).
+!------------------------------------------------------------------------------!
+   SUBROUTINE flight_skip_var_list 
+        
+      IMPLICIT NONE
+            
+      CHARACTER (LEN=1)  ::  cdum
+      CHARACTER (LEN=30) ::  variable_chr
+            
+      READ ( 13 )  variable_chr
+
+      DO  WHILE ( TRIM( variable_chr ) /= '*** end flight ***' )
+
+         READ ( 13 )  cdum
+         READ ( 13 )  variable_chr
+
+      ENDDO   
+            
+   END SUBROUTINE flight_skip_var_list 
+        
    
 !------------------------------------------------------------------------------!
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2575)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2576)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Definition of a new function called wtm_skip_var_list to skip module 
+! parameters during reading restart data
+! 
+! 2563 2017-10-19 15:36:10Z Giersch
 ! Restart runs with wind turbine model are possible now. For this purpose, two 
 ! new subroutines wtm_write_restart_data and wtm_read_restart_data had to be 
@@ -377,4 +381,8 @@
     END INTERFACE wtm_parin
 
+    INTERFACE wtm_skip_var_list 
+       MODULE PROCEDURE wtm_skip_var_list 
+    END INTERFACE wtm_skip_var_list
+
     INTERFACE wtm_write_restart_data 
        MODULE PROCEDURE wtm_write_restart_data 
@@ -425,5 +433,5 @@
     
     PUBLIC wtm_check_parameters, wtm_forces, wtm_init, wtm_init_arrays,        &
-           wtm_parin, wtm_write_restart_data, wtm_tendencies
+           wtm_parin, wtm_write_restart_data, wtm_tendencies, wtm_skip_var_list
 
 
@@ -491,4 +499,28 @@
 
     END SUBROUTINE wtm_parin
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Skipping the wind turbine module variables from restart-file (binary format).
+!------------------------------------------------------------------------------!
+   SUBROUTINE wtm_skip_var_list 
+        
+      IMPLICIT NONE
+            
+      CHARACTER (LEN=1)  ::  cdum
+      CHARACTER (LEN=30) ::  variable_chr
+            
+      READ ( 13 )  variable_chr
+
+      DO  WHILE ( TRIM( variable_chr ) /= '*** end wtm ***' )
+
+         READ ( 13 )  cdum
+         READ ( 13 )  variable_chr
+
+      ENDDO   
+            
+   END SUBROUTINE wtm_skip_var_list 
 
 
@@ -550,8 +582,8 @@
           CASE ( 'omega_gen_f' )
              READ ( 13 )  omega_gen_f
+          CASE ( 'omega_gen_f_old' )
+             READ ( 13 )  omega_gen_f_old
           CASE ( 'omega_gen_old' )
              READ ( 13 )  omega_gen_old
-          CASE ( 'omega_gen_f_old' )
-             READ ( 13 )  omega_gen_f_old
           CASE ( 'omega_rot' )
              READ ( 13 )  omega_rot
@@ -568,5 +600,5 @@
 
        END SELECT
-
+       
        READ ( 13 )  variable_chr
 
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 2575)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 2576)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! The end of the standard parameter list is again marked with *** end *** like 
+! it was before revision 2563
+! 
+! 2575 2017-10-24 09:57:58Z maronga
 ! Renamed phi -> latitude, added longitude
 ! 
@@ -756,5 +760,5 @@
 !
 !-- Set the end-of-file mark for default parameter
-    WRITE ( 14 )  '*** end default ***           '
+    WRITE ( 14 )  '*** end ***                   '
 
 !
@@ -770,8 +774,4 @@
     IF ( synthetic_turbulence_generator )  CALL stg_write_restart_data
 
-!
-!-- Set the end-of-file mark for default parameter
-    WRITE ( 14 )  '*** end ***                   '
-
 
  END SUBROUTINE write_var_list